: Class ScreenAppender

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ERServer
Class ScreenAppender

    ERServer.ScreenAppender

public class ScreenAppender

Implements the `org.apache.log4j.Appender` interface to provide screen display of logging output. This provides many advantages in that not only is error reporting faster with log4j than the previous hand coded system. It also reduces redundancy by allowing only one command to write simultaneously to the log file and to the screen. Additionally this class is aware of of the Category/Priority system providing further flexibility.

Since:
  1.2
Version:
  0.4 11 April 2001
Author:
  Jason Kitcat

Constructor Summary
`ScreenAppender()`

Method Summary
`void` | `activateOptions()`
`void` | `addFilter(ERServer.Filter newFilter)`
`void` | `clearFilters()`
`void` | `close()`
`void` | `doAppend(ERServer.LoggingEvent le)`
`java.lang.String` | `getName()`
`java.lang.String[]` | `getOptionStrings()`
`boolean` | `requiresLayout()`
`void` | `setErrorHandler(ERServer.ErrorHandler errorHandler)`
`void` | `setLayout(ERServer.Layout l)`
`void` | `setName(java.lang.String n)`
`void` | `setOption(java.lang.String option, java.lang.String value)`

Constructor Detail

### ScreenAppender

    public ScreenAppender()

Method Detail

### doAppend

    public void doAppend(ERServer.LoggingEvent le)

### addFilter

    public void addFilter(ERServer.Filter newFilter)

### clearFilters

    public void clearFilters()

### close

    public void close()

### requiresLayout

    public boolean requiresLayout()

### setErrorHandler

    public void setErrorHandler(ERServer.ErrorHandler errorHandler)

### setLayout

    public void setLayout(ERServer.Layout l)

### activateOptions

    public void activateOptions()

### getOptionStrings

    public java.lang.String[] getOptionStrings()

### setOption

    public void setOption(java.lang.String option,
                          java.lang.String value)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String n)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD